Tp::AbstractAdaptor Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::AbstractAdaptor Class Reference
Service-side implementation

Base class for all the low-level service-side adaptors. More...

`#include <TelepathyQt/AbstractAdaptor>`

Inherits QDBusAbstractAdaptor.

Inherited by Tp::Service::CallContentAdaptor, Tp::Service::CallContentInterfaceDTMFAdaptor, Tp::Service::CallInterfaceMuteAdaptor, Tp::Service::ChannelAdaptor, Tp::Service::ChannelInterfaceAnonymityAdaptor, Tp::Service::ChannelInterfaceCallStateAdaptor, Tp::Service::ChannelInterfaceCaptchaAuthenticationAdaptor, Tp::Service::ChannelInterfaceChatStateAdaptor, Tp::Service::ChannelInterfaceConferenceAdaptor, Tp::Service::ChannelInterfaceDestroyableAdaptor, Tp::Service::ChannelInterfaceDTMFAdaptor, Tp::Service::ChannelInterfaceFileTransferMetadataAdaptor, Tp::Service::ChannelInterfaceGroupAdaptor, Tp::Service::ChannelInterfaceHoldAdaptor, Tp::Service::ChannelInterfaceMediaSignallingAdaptor, Tp::Service::ChannelInterfaceMergeableConferenceAdaptor, Tp::Service::ChannelInterfaceMessagesAdaptor, Tp::Service::ChannelInterfacePasswordAdaptor, Tp::Service::ChannelInterfaceRoomAdaptor, Tp::Service::ChannelInterfaceRoomConfigAdaptor, Tp::Service::ChannelInterfaceSASLAuthenticationAdaptor, Tp::Service::ChannelInterfaceSecurableAdaptor, Tp::Service::ChannelInterfaceServicePointAdaptor, Tp::Service::ChannelInterfaceSMSAdaptor, Tp::Service::ChannelInterfaceSplittableAdaptor, Tp::Service::ChannelInterfaceSubjectAdaptor, Tp::Service::ChannelTypeCallAdaptor, Tp::Service::ChannelTypeContactSearchAdaptor, Tp::Service::ChannelTypeDBusTubeAdaptor, Tp::Service::ChannelTypeFileTransferAdaptor, Tp::Service::ChannelTypeRoomListAdaptor, Tp::Service::ChannelTypeServerAuthenticationAdaptor, Tp::Service::ChannelTypeServerTLSConnectionAdaptor, Tp::Service::ChannelTypeStreamedMediaAdaptor, Tp::Service::ChannelTypeStreamTubeAdaptor, Tp::Service::ChannelTypeTextAdaptor, Tp::Service::ConnectionAdaptor, Tp::Service::ConnectionInterfaceAddressingAdaptor, Tp::Service::ConnectionInterfaceAliasingAdaptor, Tp::Service::ConnectionInterfaceAnonymityAdaptor, Tp::Service::ConnectionInterfaceAvatarsAdaptor, Tp::Service::ConnectionInterfaceBalanceAdaptor, Tp::Service::ConnectionInterfaceCellularAdaptor, Tp::Service::ConnectionInterfaceClientTypesAdaptor, Tp::Service::ConnectionInterfaceContactBlockingAdaptor, Tp::Service::ConnectionInterfaceContactCapabilitiesAdaptor, Tp::Service::ConnectionInterfaceContactGroupsAdaptor, Tp::Service::ConnectionInterfaceContactInfoAdaptor, Tp::Service::ConnectionInterfaceContactListAdaptor, Tp::Service::ConnectionInterfaceContactsAdaptor, Tp::Service::ConnectionInterfaceLocationAdaptor, Tp::Service::ConnectionInterfaceMailNotificationAdaptor, Tp::Service::ConnectionInterfacePowerSavingAdaptor, Tp::Service::ConnectionInterfaceRequestsAdaptor, Tp::Service::ConnectionInterfaceServicePointAdaptor, Tp::Service::ConnectionInterfaceSimplePresenceAdaptor, Tp::Service::ConnectionManagerAdaptor, Tp::Service::ProtocolAdaptor, Tp::Service::ProtocolInterfaceAddressingAdaptor, Tp::Service::ProtocolInterfaceAvatarsAdaptor, and Tp::Service::ProtocolInterfacePresenceAdaptor.

## Public Member Functions
| AbstractAdaptor (const QDBusConnection &connection, QObject *adaptee, QObject *parent)
| ~AbstractAdaptor ()
QDBusConnection | dbusConnection () const
QObject * | adaptee () const

## Detailed Description

Base class for all the low-level service-side adaptors.

This class serves as the parent for all the generated low-level service-side adaptors. Adaptors provide the interface of an object on the bus.

The implementation of this interface should be provided in a special object called the adaptee. The adaptee is meant to provide properties, signals and slots that are connected automatically with the adaptor using Qt's meta-object system.

## Constructor & Destructor Documentation

Tp::AbstractAdaptor::AbstractAdaptor | ( | const QDBusConnection & | dbusConnection,
|  | QObject * | adaptee,
|  | QObject * | parent
| ) |  |

Construct a new AbstractAdaptor that operates on the given dbusConnection and redirects calls to the given adaptee.

Parameters

  dbusConnection | The D-Bus connection to use.
  adaptee | The class the provides the implementation of the calls.
  parent | The QObject parent of this adaptor.

Tp::AbstractAdaptor::~AbstractAdaptor | ( |  | ) |

Class destructor.

## Member Function Documentation

QDBusConnection Tp::AbstractAdaptor::dbusConnection | ( |  | ) | const

Return the D-Bus connection associated with this adaptor.

Returns
  The D-Bus connection associated with this adaptor.

QObject * Tp::AbstractAdaptor::adaptee | ( |  | ) | const

Return the adaptee object, i.e. the object that provides the implementation of this adaptor.

Returns
  The adaptee object.